/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLTableCaptionElement_H__
#define __GdomHTMLTableCaptionElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLTableCaptionElement GdomHTMLTableCaptionElement;
typedef struct _GdomHTMLTableCaptionElementClass GdomHTMLTableCaptionElementClass;


#define GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT            (gdom_html_table_caption_element_get_type())
#define GDOM_HTML_TABLE_CAPTION_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT, GdomHTMLTableCaptionElement))
#define GDOM_HTML_TABLE_CAPTION_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT, GdomHTMLTableCaptionElement)Class)
#define GDOM_IS_HTML_TABLE_CAPTION_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT))
#define GDOM_IS_HTML_TABLE_CAPTION_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT))
#define GDOM_HTML_TABLE_CAPTION_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_TABLE_CAPTION_ELEMENT, GdomHTMLTableCaptionElementClass))

typedef struct _GdomHTMLTableCaptionElementPrivate GdomHTMLTableCaptionElementPrivate;

struct _GdomHTMLTableCaptionElement {
    GdomHTMLElement parent_instance;
    GdomHTMLTableCaptionElementPrivate *priv;
};

struct _GdomHTMLTableCaptionElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_table_caption_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLTableCaptionElement_H__ */
